@echo off
REM  Copyright (c) 1997-1999 Symbian Ltd.  All rights reserved.

if "%1"=="" goto help
echo Installing all *.m%1 files as *.mbm
xcopy \epoc32\release\wins\*.m%1 \epoc32\release\wins\*.mbm /s /h >NUL
echo Installing all *.a%1 files as *.aif
xcopy \epoc32\release\wins\*.a%1 \epoc32\release\wins\*.aif /s /h >NUL
if exist \epoc32\release\wins\deb\z\system\data\wsini.i%1 copy \epoc32\release\wins\deb\z\system\data\wsini.i%1 \epoc32\release\wins\deb\z\system\data\wsini.ini >nul
if exist \epoc32\release\wins\rel\z\system\data\wsini.i%1 copy \epoc32\release\wins\rel\z\system\data\wsini.i%1 \epoc32\release\wins\rel\z\system\data\wsini.ini >nul
if exist \epoc32\release\wins\udeb\z\system\data\wsini.i%1 copy \epoc32\release\wins\udeb\z\system\data\wsini.i%1 \epoc32\release\wins\udeb\z\system\data\wsini.ini >nul
if exist \epoc32\release\wins\urel\z\system\data\wsini.i%1 copy \epoc32\release\wins\urel\z\system\data\wsini.i%1 \epoc32\release\wins\urel\z\system\data\wsini.ini >nul
if exist \epoc32\release\marm\deb\wsini.i%1 copy \epoc32\release\wins\deb\wsini.i%1 \epoc32\release\wins\deb\wsini.ini >nul
if exist \epoc32\release\marm\rel\wsini.i%1 copy \epoc32\release\wins\rel\wsini.i%1 \epoc32\release\wins\rel\wsini.ini >nul
if exist \epoc32\release\marm\udeb\wsini.i%1 copy \epoc32\release\wins\udeb\wsini.i%1 \epoc32\release\wins\udeb\wsini.ini >nul
if exist \epoc32\release\marm\urel\wsini.i%1 copy \epoc32\release\wins\urel\wsini.i%1 \epoc32\release\wins\urel\wsini.ini >nul
goto end
:help
echo Syntax is eg "instcol bw" or "instcol cl" etc
:end
